Page MenuHomePhabricator

Suppress browser triggered drop down and field highlighting for TitlesMultiselectWidget
Closed, ResolvedPublic2 Story Points

Description

Problem

Browser suggestions are appearing on the 'Pages' field on Special:Block in the TitlesMultiselectWidget widget. This interferes with our valid page name suggestions.


Acceptance criteria

  • Suppress browser triggered drop down for Pages for TitlesMultiselectWidget
  • Suppress browser triggered field highlighting for Pages for TitlesMultiselectWidget

Event Timeline

Ryasmeen created this task.Nov 1 2018, 10:24 PM
Restricted Application added subscribers: MGChecker, Aklapper. ยท View Herald TranscriptNov 1 2018, 10:24 PM
TBolliger triaged this task as Normal priority.Nov 1 2018, 11:36 PM
TBolliger moved this task from Untriaged to Cards ready to be estimated on the Anti-Harassment board.
dbarratt renamed this task from Suppress browser triggered drop down for Pages on Special:Block to Suppress browser triggered drop down for TitlesMultiselectWidget.Nov 2 2018, 1:10 AM
dbarratt updated the task description. (Show Details)
TBolliger updated the task description. (Show Details)Nov 2 2018, 4:24 PM
TBolliger set the point value for this task to 2.
Volker_E edited projects, added MediaWiki-HTMLForm; removed OOUI.Nov 6 2018, 1:44 AM
Volker_E added a subscriber: Volker_E.

That can be turned of via 'autocomplete' => 'off' in $a['PageRestrictions'] array resulting in corresponding HTML attribute and value.
Not fully convinced though, how much the suggestions via browser autocomplete are really a problem here. User:RYasmeen_(WMF)/sandbox is a page and might actually speed up filling out the form or am I missing something in the description?

They interfere with the OOUI drop-down suggestions. I think we should begin with browser suggestions disabled.

TBolliger renamed this task from Suppress browser triggered drop down for TitlesMultiselectWidget to Suppress browser triggered drop down and field highlighting for TitlesMultiselectWidget.Nov 7 2018, 6:22 PM
TBolliger updated the task description. (Show Details)
Tchanders moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 33) board.

Change 473030 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] TitlesMultiSelectWidget: pass through 'input' config

https://gerrit.wikimedia.org/r/473030

Change 473030 merged by jenkins-bot:
[mediawiki/core@master] TitlesMultiSelectWidget: pass through 'input' config

https://gerrit.wikimedia.org/r/473030

dbarratt closed this task as Resolved.Nov 14 2018, 7:55 PM
Restricted Application added a project: User-Ryasmeen. ยท View Herald TranscriptNov 14 2018, 7:55 PM